%global pkgvers 0
%global scdate0 20221012
%global sctags0 v3.0.0
%global source0 https://github.com/intel/gna.git

Name:           gna
Version:        3.0.0
Release:        %{scdate0}.%{pkgvers}%{?dist}
Summary:        Gaussian & Neural Accelerator Library repository
License:        BSD

ExclusiveArch:  x86_64

URL:            https://github.com/intel/gna

BuildRequires:  git cmake gcc-c++
BuildRequires:  libdrm-devel cscope ctags

%global debug_package %{nil}
%global __cmake_in_source_build 1

%description
Intel® Gaussian & Neural Accelerator is a low-power neural
coprocessor for continuous inference at the edge.

%package        devel
Summary:        Development library for %{name}
Requires:       %{name} = %{version}-%{release}

%description    devel
Development library for %{name}.


%prep
%setup -T -c -n %{name}
git clone --depth 1 -n -b %{sctags0} %{source0} .
git reset --hard %{sctags0}
git log --format=fuller
# fix path
sed -i 's|lib/cmake|%{_lib}/cmake|g' src/gna-lib/CMakeLists.txt


%build
mkdir -p BUILD
pushd BUILD
%cmake ../ -Wno-dev \
       -DCMAKE_SKIP_RPATH=ON \
       -DCMAKE_VERBOSE_MAKEFILE=OFF \
       -DCMAKE_BUILD_TYPE=LNX_RELEASE \
       -DCMAKE_INSTALL_LIBDIR=%{_libdir}
make %{?_smp_mflags}
popd


%install
pushd BUILD
%make_install
popd


%ldconfig_scriptlets


%files
%doc README.md
%license LICENSE
%{_libdir}/*.so.*

%files devel
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/cmake/*


%changelog
* Sun Jan 27 2019 Cristian Balint <cristian.balint@gmail.com>
- github build
